Bug 1031101 - 'rpmrebuild --version' reports error
'rpmrebuild --version' reports error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmrebuild (Show other bugs)
19
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Anderson Silva
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 10:46 EST by Rick
Modified: 2016-01-02 21:25 EST (History)
1 user (show)

See Also:
Fixed In Version: rpmrebuild-2.11-3.fc20 rpmrebuild-2.11-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 18:04:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick 2013-11-15 10:46:35 EST
Description of problem:
Checking version of rpmrebuild from the command line results in an error.

Version-Release number of selected component (if applicable):
rpmrebuild-2.9-1.fc19.noarch

How reproducible:
Every time

Steps to Reproduce:
1.  yum install rpmrebuild
2.  rpmrebuild --version

Actual results:
# rpmrebuild --version
/usr/lib/rpmrebuild/rpmrebuild_parser.src: line 1095: /usr/lib/rpmrebuild/VERSION: No such file or directory
: rpmrebuild.sh 809 2012-07-08 15:55:08Z gerbier $

Expected results:
A version specifier without an error

Additional info:
Comment 1 Fedora End Of Life 2015-01-09 15:36:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora Update System 2015-01-10 08:31:20 EST
rpmrebuild-2.11-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rpmrebuild-2.11-3.fc21
Comment 3 Fedora Update System 2015-01-10 08:43:06 EST
rpmrebuild-2.11-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpmrebuild-2.11-3.fc20
Comment 4 Fedora Update System 2015-01-10 08:58:19 EST
rpmrebuild-2.11-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rpmrebuild-2.11-3.el6
Comment 5 Fedora Update System 2015-01-10 21:58:38 EST
Package rpmrebuild-2.11-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmrebuild-2.11-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0532/rpmrebuild-2.11-3.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2015-01-21 18:04:16 EST
rpmrebuild-2.11-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-01-21 18:06:20 EST
rpmrebuild-2.11-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-01-02 21:25:49 EST
rpmrebuild-2.11-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.